源码搭建LAMP 法斯特CGI Xcache加速器【彩民之家论

2019-09-19 01:00 来源:未知

万幸的Apache HTTP工程满含了叁个名叫HTTPD-Test的子工程,正如那么些称号所发表的,那是一个Apache的通用测量检验工具包,这几个包里包括了汪洋的例外工具,而本文将重视介绍当中三个名叫暴风雪Flood)的工具,它之所以这么命名,是因为它利用向服务器发出山洪般的多量伸手测验服务器的响应时间。

  1. 设置开机自运转
    [[email protected] logs]# chkconfig --add httpd
    [[email protected] logs]# chkconfig httpd on

INITLOG_ARGS=""

安装Flood

安装php

        start

先不...

[[email protected] htdocs]# service mysqld start
Starting MySQL.                                            [  OK  ]

        RETVAL=$?

当您设置好服务器投入使用后,你最关心的事其实服务器的个性了。你能够用有些手动的方法开展测量试验,但手动方法有相当多局限性。

[[email protected] ~]# vim /etc/init.d/httpd
apachectl=/usr/local/apache/bin/apachectl
httpd=${HTTPD-/usr/local/apache/bin/httpd}
pidfile=${PIDFILE-/var/run/httpd.pid}
#只需修改那3行就可以

        echo -n $"Starting $prog: "

你能够在Apache网址下载httpd-test和apr/apr-util软件包,前者是当从Apache的CVS服务器上直接build时所必要的。你必须先进行登陆密码是"anoncvs")

客商名与密码都以www.bkjia.com

        . /etc/sysconfig/httpd

今天,安装到位了。

RedHat 5.4下Web服务器架设之源码营造LAMP景况及利用PHPWind

当测验停止,管理员就足以理解到是或不是留存Apache服务器或其余HTTP服务器)的设置难点,服务器的实际负荷,硬件的品质表现和是还是不是存在着网络基础设置瓶颈。

  1. 左右逢源安装
    [[email protected] apache]# vim /etc/profile
    export PATH=$PATH:/usr/local/apache/bin
    [[email protected] apache]# . !$
    #在PATH变量中增加apache的可执行文件
    [[email protected] apache]# vim /etc/ld.so.conf.d/apache-x86_64.conf
    /usr/local/apache/lib
    [[email protected] lib]# ldconfig -v
    #让系统能够找到apache的库文件
    [[email protected] lib]# vim /etc/man.config
    MANPATH /usr/local/apache/man
    #让系统能够找到apache的援救文书档案
    [[email protected] apache]# ln -sv /usr/local/apache/include /usr/include/apache
    `/usr/include/apache' -> `/usr/local/apache/include'
    #让系统能够找到apache的头文件

  2. 运维加多运转脚本
    那几个剧本不须求手动写,只供给把rpm安装的不胜/etc/init.d/httpd文件稍做修改就能够了。
    [[email protected] logs]# vim /etc/httpd/httpd.conf
    PidFile "/var/run/httpd.pid"
    #在陈设文件中追加这一行

# chkconfig: - 85 15

Flood使用一个XML文件来进行供给的测量检验设置,包涵测验中利用的U奥德赛L和POST数据和策画测量试验的服务器组,然后Flood初步衡量以下一系统操作的时间:

  1. 安装php主程序
    [[email protected] ~]# tar xf php-5.5.9.tar.bz2
    [[email protected] ~]# cd php-5.5.9
    [[email protected] php-5.5.9]# ./configure --prefix=/usr/local/php
    --with-apxs2=/usr/local/apache/bin/apxs
    --with-mysql=/usr/local/mysql
    --with-mysqli=/usr/local/mysql/bin/mysql_config
    --with-libxml-dir 
    --with-zlib-dir 
    --enable-mbstring
    [[email protected] php-5.5.9]# make && make install
    [[email protected] php-5.5.9]# cp php.ini-production /usr/local/php/lib/php.ini

  2. 布署apache使其得以调用php
    在意:apache调用php有3种情势,CGI、法斯特CGI和模块,这里接纳的调用形式就是将php作为apache的三个模块。
    [[email protected] php-5.5.9]# vim /etc/httpd/httpd.conf
    LoadModule php5_module        modules/libphp5.so    #担保这一行并未有被解说
    AddType application/x-httpd-php  .php
    AddType application/x-httpd-php-source  .phps  #增加这2行
    DirectoryIndex index.php index.html  #修改主页文件

        ;;

●张开七个到服务器的socket
●向socket写入对服务器的央求
●读出服务器的响应
●关闭socket

 

                stop

$ buildconf
$ configure
$ make all

推荐介绍阅读:

缓解重视关系

即使您收获了源码,你能够用上边包车型地铁下令安装:

LAMP源码景况搭建WEB服务器Linux Apache MySQL PHP

--with-zlib 协理互连网通用压缩库

$ cvs -d :pserver:[email protected]:/home/cvspublic login
$ cvs -d :pserver:[email protected]:/home/cvspublic co httpd-test/flood
$ cd httpd-test/flood
$ cvs -d :pserver:[email protected]:/home/cvspublic co apr
$ cvs -d :pserver:[email protected]:/home/cvspublic co apr-util

安装mysql
笔者的那篇博客写了

2.安装apr-util-1.5.3

先不论手工业测试方法所投入的光阴和活力难点,用手工业方法测量检验的一大不足正是它不轻松揭发出您的站点的真的难题所在,是服务器设置的主题素材大概因为部分动态组件又或然互联网基础设备变成的标题?

[[email protected] htdocs]# service mysqld stop
Shutting down MySQL..                                      [  OK  ]

        echo $"Usage: $prog {start|stop|restart|condrestart|try-restart|force-reload|reload|status|fullstatus|graceful|help|configtest}"

CentOS 5.9下编写翻译安装LAMP(Apache 2.2.44 MySQL 5.6.10 PHP 5.4.12)

        [ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}

  1. 管教linux寒本草从新安装apr和apr-util
  2. 保障linux上早就安装了PCRE
  3. 管教linux三月经安装了gcc
  4. 保险linux上从不设置rpm包的httpd
    1 [[email protected] ~]# rpm -qa | grep httpd

  condrestart|try-restart)

[[email protected] ~]# vim /etc/profile
export PATH=$PATH:/usr/local/php/bin

[[email protected] xf]# cd apr-util-1.5.3

  1. 测试
    [[email protected] ~]# cd /usr/local/apache/htdocs/
    #源码安装的apache的网址根目录就在那边,能够因此配备文件修改为熟知的/var/www/html/下
    [[email protected] htdocs]# vim index.php
    <?php
    phpinfo();
    ?>

                                  It works!

Ubuntu 13.04 安装 LAMPVsftpdWebminphpMyAdmin 服务及安装

--with-apr=/usr/local/apr 钦命apr的设置路线

二、安装

        ;;

--prefix=/usr/local/apache #内定httpd的设置路径
--sysconfdir=/etc/httpd  #指定安装后安插文件的路子
--enable-so #那项是最重要:协理动态模块装卸载,要是不写的话,php不能够以模块的章程编写翻译成apache的模块了
--enable-ssl #支持https
--enable-rewrite #支持url重写
--with-zlib #支撑选用zlib库将数据发送到顾客端在此以前实行压缩
--enable-mpms-shared=most #创设MPM为动态模块,将具备的模块都设为动态分享,能够在系统运营时加载
--with-included-apr  #和依附的apr和apr-util软件相关
--with-pcre=/usr/local/pcre  #重视于pcre告知pcre的安装路线

[[email protected] httpd24]# cd extra/

看看这几个页面就证实的apache能够成功调用php了,继续测量检验php到mysql的接连
[[email protected] htdocs]# vim index.php
<?php
$link=mysql_connect(localhost,'root','12345');
if ($link)
 echo "success";
else
 echo "failure";
?>

        [ $RETVAL = 0 ] && touch ${lockfile}

HTTP Server(简称Apache)是Apache软件基金会的一个开放源码的网页服务器,能够在大非常多Computer操作系统中运转,由于其多平台和平安性...

  start)

 

--sysconfdir=/etc/httpd24 配置文件路线

那样就表达测量试验成功了。

三、安装后所需安顿;

下载格局见

lockfile=${LOCKFILE-/var/lock/subsys/httpd24}

无需付费下载地址在

 5、修改服务脚本;

[[email protected] php-5.5.9]# service httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd:                                            [  OK  ]

yum groupinstall -y "Development tools"

Apache HTTP Server(简称Apache)是Apache软件基金会的多个开放源码的网页服务器,能够在大多数管理器操作系统中运转,由于其多平台和安全性被相近选择,是最盛行的Web服务器端软件之一。它高效、可相信并且可经过轻巧的API扩充,将Perl/Python等解释器编写翻译到服务器中。

        RETVAL=$?

  • 1
  • 2
  • 3
  • 下一页

        stop

彩民之家论坛9066777 1

[[email protected] ~]# apachectl start

安装apache

[[email protected] httpd-2.4.9]# ./configure --prefix=/usr/local/apache --sysconfdir=/etc/httpd24 --enable-so --enable-ssl --enable-cgi --enable-rewrite --with-zlib --with-pcre --with-apr=/usr/local/apr --with-apr-util=/usr/local/apr-util/ --enable-modules=most --enable-mpms-shared=all --with-mpm=event

httpd 下载:

        echo -n $"Stopping $prog: "

彩民之家论坛9066777 2

二;编写翻译安装httpd2.4所依赖的软件包

  1. 解压各样软件包
    [[email protected] ~]# tar xf httpd-2.4.7.tar.bz2
    [[email protected] ~]# tar xf apr-1.5.0.tar.bz2
    [[email protected] ~]# tar xf apr-util-1.5.3.tar.bz2
    [[email protected] ~]# tar xf pcre-8.32.tar.bz2

  2. 消除apr和apr-util的依附关系
    [[email protected] ~]# mv apr-1.5.0 ~/httpd-2.4.7/srclib/apr
    [[email protected] ~]# mv apr-util-1.5.3 ~/httpd-2.4.7/srclib/apr-util
    #移步到httpd解压后的文书srclib目录中,注意不要写版本号

  3. 化解pcre的依附关系
    [[email protected] ~]# cd pcre-8.32
    [[email protected] pcre-8.32]# ./configure --prefix=/usr/local/pcre
    [[email protected] pcre-8.32]# make && make install

  4. 安装apache软件
    [[email protected] httpd-2.4.7]# ./configure  --prefix=/usr/local/apache
     --sysconfdir=/etc/httpd 
     --enable-so
     --enable-ssl
     --enable-track-vars
     --enable-rewrite
     --with-zlib
     --enable-mods-shared=most
     --with-included-apr
     --with-pcre=/usr/local/pcre
    [[email protected] httpd-2.4.7]# make
    [[email protected] httpd-2.4.7]# make install
    #--enable-ssl要求安装openssl-devel

--enable-rewrite 帮助UQX56L重写机制

自家设置的是httpd-2.4.7,它所依据的apr的版本是1.4.0,而用yum安装的最高是1.3.9。所以干脆将apr、apr-util和pcre都使用源码。
apr:
apr-util:
pcre:ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-8.32.tar.bz2

    echo -n $"Reloading $prog: "

具体下载目录在 /二〇一四年龄资历料/一月/4日/源码搭建LAMP 法斯特CGI Xcache加快器

#

彩民之家论坛9066777 3

--enable-mpms-shared=all 启用MPM全体支持的方式

主意一:模块化的艺术

# httpd        Startup script for the Apache HTTP Server

脚本已上传到附属类小部件里,将.txt后缀去掉就能够

  graceful|help|configtest|fullstatus)

一、安装条件

    fi

  restart)

[[email protected] ~]# vim /etc/man.config

下篇将介绍httpd2.4基本功用的贯彻...

        LSB=1 killproc -p ${pidfile} $httpd -HUP

prog=httpd

        RETVAL=$?

        RETVAL=2

# description: The Apache HTTP Server is an efficient and extensible 

2、输出二进制造进程序

[[email protected] apr-1.5.0]# make && make install

if [ -f /etc/sysconfig/httpd ]; then

  force-reload|reload)

新本子的httpd-2.4新添以下特征;
新添模块;
mod_proxy_fcgi(可提供fcgi代理)
mod_ratelimit(限制顾客带宽)
mod_request(央求模块,对诉求做过滤)
mod_remoteip(相配顾客端的IP地址)
对此基于IP的访问调控做了改变,不再援助allow,deny,order机制,而是统一运用require进行

1.安装apr-1.5.0.tar.bz2

# processname: httpd

}

        LANG=$HTTPD_LANG daemon --pidfile=${pidfile} $httpd $OPTIONS

还新添以下几条新特点;

Starting httpd:                                            [  OK  ]

ftp://ftp.mirrorservice.org/sites/ftp.apache.org/apr/apr-util-1.5.3.tar.bz2

--enable-ssl 借使不加载将不可能使用使用https

        RETVAL=6

[[email protected] httpd24]# ls

新扩展模块; mod_proxy_fcgi(可提供fcgi代理) mod_ratelimit(限制客商带宽) mod_request(央浼模块,对央浼做过滤...

        if status -p ${pidfile} $httpd >&/dev/null; then

[[email protected] ~]# man -M /usr/local/apache/man httpd

stop() {

pidfile=${PIDFILE-/var/run/httpd24.pid}

  stop)

1、MPM协助在运作服装载;然而要拉开这种特征,在编写翻译安装要启用那三种意义;
--enable-mpms-shared=all  --with-mpm=event
2、支持event
3、辅助异步读写
4、在每种模块及种种目录上点名日志等第
5、巩固版的表明式分析器
6、每央浼配置:<If>, <Elseif>
7、阿秒品级的keepalive timeout
8、基于FQDN的设想主机不再必要NameVirtualHost指令
9、支持采纳自定义变量

#

[[email protected] apr-1.5.0]# ./configure --prefix=/usr/local/apr

    if ! LANG=$HTTPD_LANG $httpd $OPTIONS -t >&/dev/null; then

vim /etc/init.d/httpd24.sh

. /etc/rc.d/init.d/functions

    echo

        killproc -p ${pidfile} -d ${STOP_TIMEOUT} $httpd

        status -p ${pidfile} $httpd

[[email protected] ~]# service httpd24 restart

        RETVAL=$?

[[email protected] xf]# cd apr-1.5.0

yum groupinstall -y "Server Platform Development"

        ;;

wget

#              server implementing the current HTTP standards.

httpd-dav.conf        httpd-languages.conf  httpd-multilang-errordoc.conf  httpd-vhosts.conf

        if [ $RETVAL -eq 7 ]; then

httpd-default.conf    httpd-manual.conf    httpd-ssl.conf                proxy-html.conf

        # Force LSB behaviour from killproc

        echo

# pidfile: /var/run/httpd/httpd.pid

[[email protected] apr-util-1.5.3]# make && make install

        failure $"not reloading $httpd due to configuration syntax error"

        RETVAL=$?

        ;;

--with-pcre 支持pcre

  status)

      修改服务前先把httpd关闭;apachect1 stop

[[email protected] ~]# ln -sv /usr/local/apache/include/ /usr/include/httpd

case "$1" in

        start

apachectl=/usr/local/httpd24/bin/apachectl

extra  httpd.conf  magic  mime.types  original

MANPATH /usr/local/apache/man

RETVAL=0

--enable-modules=most 启用大相当多常用的模块

            failure $"httpd shutdown"

安装httpd前需打算的顺序包组;那多少个程序包系统自带光盘就有,只需挂载到钦定目录,制作花费地yum源就能够安装使用。(此处不做过多介绍)

[[email protected] ~]# ss -tunl | grep 80

[[email protected] ~]# elinks -dump www.bkjia.com/index.html  elinks 测量检验运营

tcp    LISTEN    0      128                  :::80                  :::*

3、导出man文件

# config: /etc/httpd/conf/httpd.conf

                start

    else

HTTPD_LANG=${HTTPD_LANG-"C"}

  *)

--enable-cgi 允许利用cgi脚本

        reload

reload() {

}

httpd2.4借助于更加高版本的apr和apr-util,apr全名称叫apache portable runtime(apache可运营时移值)。它是个能够让Apache跨平台职业的工具,是个底层库,安装上apr后。若是在win和linux上安装上apr后,Apache的同一个代码,即能够在win上运转也可在linux上运营;

#!/bin/bash

一;策动条件

httpd-autoindex.conf  httpd-info.conf      httpd-mpm.conf                httpd-userdir.conf

--prefix=/usr/local/apache 安装路径

Stopping httpd:                                            [  OK  ]

[[email protected] xf]# tar xf ^Cr-1.5.0.tar.bz2

        ;;

        ;;

        echo

# See how we were called.

yum install -y pcre-devel-7.8-6.el6.x86_64

--with-mpm=event 私下认可使用enevt形式

fi

        echo $"not reloading due to configuration syntax error"

3.之上两步编写翻译完毕,现正式开班编写翻译httpd-2.4.9.tar.bz2

查阅安装后所生成的文书 extra目录是2.4版新扩充目录

[[email protected] xf]# tar xf apr-util-1.5.3.tar.bz2

CentOS 6.5编写翻译安装httpd-2.4.7 

[[email protected] extra]# ls

httpd=/usr/local/apache/bin/httpd

        fi

Centos6.5-64位

[[email protected] xf]# tar xf httpd-2.4.9.tar.bz2

        $apachectl [email protected]

exit $RETVAL

        fi

export PATH=/usr/local/apache/bin:$PATH

        return $RETVAL

}

[[email protected] ~]# httpd -V    突显httpd版本音讯

start() {

4、启动httpd

--enable-so 允许运维时加载DSO模块

[email protected] ~]#. /etc/profile.d/httpd24.sh

# config: /etc/sysconfig/httpd

esac

STOP_TIMEOUT=${STOP_TIMEOUT-10}

这段日子能够动用脚本来运维httpd服务

`/usr/include/httpd' -> `/usr/local/apache/include/'

[email protected] ~]# vim /etc/profile.d/httpd24.sh

--with-apr-util=/usr/local/apr-util/ 钦点apr-util的设置路线

[[email protected] xf]# cd httpd-2.4.9

[[email protected] apr-util-1.5.3]# ./configure --prefix=/usr/local/apr-util --with-apr=/usr/local/apr/

    1、导出头文件;以目录链接的花样来贯彻

TAG标签:
版权声明:本文由彩民之家高手论坛发布于彩民之家论坛9066777,转载请注明出处:源码搭建LAMP 法斯特CGI Xcache加速器【彩民之家论